Package weka.gui.graphvisualizer

# Class GraphEdge

java.lang.Object
weka.gui.graphvisualizer.GraphEdge

public class GraphEdge extends Object
This class represents an edge in the graph

Version:
  $Revision: 1.4 $ - 23 Apr 2003 - Initial version (Ashraf M. Kibriya)
Author:
  Ashraf M. Kibriya (amk14@cs.waikato.ac.nz)

## Constructor Summary

Constructors
Constructor
Description
`GraphEdge(int s, int d, int t)`
`GraphEdge(int s, int d, int t, String sLbl, String dLbl)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object e)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GraphEdge

public GraphEdge(int s, int d, int t)

### GraphEdge

public GraphEdge(int s, int d, int t, String sLbl, String dLbl)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### equals

public boolean equals(Object e)

Overrides:
  `equals` in class `Object`